org.apache.struts2.components

## Class ListUIBean

- java.lang.Object
- - org.apache.struts2.components.Component
  - - org.apache.struts2.components.UIBean
    - - org.apache.struts2.components.ListUIBean

- Direct Known Subclasses:
    CheckboxList, DoubleListUIBean, InputTransferSelect, Radio, Select

      public abstract class ListUIBean
      extends UIBean

  DoubleListUIBean is the standard superclass of all Struts list handling components.

  Note that the listkey and listvalue attribute will default to "key" and "value" respectively only when the list attribute is evaluated to a Map or its descendant. Everything else will result in listkey and listvalue to be null and not used.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `list`
    `protected String` | `listCssClass`
    `protected String` | `listCssStyle`
    `protected String` | `listKey`
    `protected String` | `listLabelKey`
    `protected String` | `listTitle`
    `protected String` | `listValue`
    `protected String` | `listValueKey`
    `protected boolean` | `throwExceptionOnNullValueAttribute`

    - ### Fields inherited from class org.apache.struts2.components.UIBean

      `accesskey, ATTR_FIELD_VALUE, ATTR_NAME_VALUE, ATTR_VALUE, cspNonceReader, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiStaticContentPath, uiThemeExpansionToken, value`

    - ### Fields inherited from class org.apache.struts2.components.Component

      `actionMapper, COMPONENT_STACK, devMode, escapeHtmlBody, parameters, performClearTagStateForTagPoolingServers, stack, standardAttributesMap, throwExceptionOnELFailure`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ListUIBean(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(Object obj1, Object obj2)`
    `void` | `evaluateExtraParams()`
    `protected Class` | `getValueClassType()`
    `void` | `setList(Object list)`
    `void` | `setListCssClass(String listCssClass)`
    `void` | `setListCssStyle(String listCssStyle)`
    `void` | `setListKey(String listKey)`
    `void` | `setListLabelKey(String listLabelKey)`
    `void` | `setListTitle(String listTitle)`
    `void` | `setListValue(String listValue)`
    `void` | `setListValueKey(String listValueKey)`
    `void` | `setThrowExceptionOnNullValueAttribute(boolean throwExceptionOnNullValueAttribute)`

    - ### Methods inherited from class org.apache.struts2.components.UIBean

      `addFormParameter, applyValueParameter, buildTemplateName, copyParams, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, lazyEvaluation, mergeTemplate, populateComponentHtmlId, setAccesskey, setCspNonceReader, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelPosition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStaticContentPath, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue`

    - ### Methods inherited from class org.apache.struts2.components.Component

      `addAllParameters, addParameter, clearStandardAttributesMap, completeExpression, determineActionURL, determineNamespace, end, escapeHtmlBody, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getAttributes, getComponentStack, getNamespace, getParameters, getPerformClearTagStateForTagPoolingServers, getStack, getStandardAttributes, isAcceptableExpression, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setEscapeHtmlBody, setNotExcludedAcceptedPatterns, setPerformClearTagStateForTagPoolingServers, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpression, toString, usesBody`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### list

          protected Object list

    - #### listKey

          protected String listKey

    - #### listValueKey

          protected String listValueKey

    - #### listValue

          protected String listValue

    - #### listLabelKey

          protected String listLabelKey

    - #### listCssClass

          protected String listCssClass

    - #### listCssStyle

          protected String listCssStyle

    - #### listTitle

          protected String listTitle

    - #### throwExceptionOnNullValueAttribute

          protected boolean throwExceptionOnNullValueAttribute

  - ### Constructor Detail

    - #### ListUIBean

          protected ListUIBean(ValueStack stack,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)

  - ### Method Detail

    - #### evaluateExtraParams

          public void evaluateExtraParams()

      Overrides:
        `evaluateExtraParams` in class `UIBean`

    - #### contains

          public boolean contains(Object obj1,
                                  Object obj2)

    - #### getValueClassType

          protected Class getValueClassType()

      Overrides:
        `getValueClassType` in class `UIBean`

    - #### setList

          public void setList(Object list)

    - #### setListKey

          public void setListKey(String listKey)

    - #### setListValueKey

          public void setListValueKey(String listValueKey)

    - #### setListValue

          public void setListValue(String listValue)

    - #### setListLabelKey

          public void setListLabelKey(String listLabelKey)

    - #### setListCssClass

          public void setListCssClass(String listCssClass)

    - #### setListCssStyle

          public void setListCssStyle(String listCssStyle)

    - #### setListTitle

          public void setListTitle(String listTitle)

    - #### setThrowExceptionOnNullValueAttribute

          public void setThrowExceptionOnNullValueAttribute(boolean throwExceptionOnNullValueAttribute)

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.